- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
tbb::aligned_space< T, N > Class Template Reference
Memory Allocation

Block of space aligned sufficiently to construct an array T with N elements. More...

`#include <aligned_space.h>`

## Public Member Functions
T * | begin ()
| Pointer to beginning of array.
T * | end ()
| Pointer to one past last element in array.

## Detailed Description

### template<typename T, size_t N = 1>
class tbb::aligned_space< T, N >

Block of space aligned sufficiently to construct an array T with N elements.

The elements are not constructed or destroyed by this class.

The documentation for this class was generated from the following file:

- aligned_space.h

Copyright © 2005-2016 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.